> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Content to Std In for a running execution.

> Send content to the Std In of a running execution.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json post /v1/devboxes/{devbox_id}/executions/{execution_id}/send_std_in
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/devboxes/{devbox_id}/executions/{execution_id}/send_std_in:
    post:
      tags:
        - Devbox
        - Devbox-ShellTools
      summary: Send Content to Std In for a running execution.
      description: Send content to the Std In of a running execution.
      operationId: sendStdIn
      parameters:
        - name: devbox_id
          in: path
          description: The Devbox ID.
          required: true
          schema:
            type: string
        - name: execution_id
          in: path
          description: The Async Execution ID.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DevboxSendStdInRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DevboxSendStdInResult'
        '404':
          description: Devbox or Execution not found.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            const devboxSendStdInResult = await
            client.devboxes.executions.sendStdIn(
              'devbox_id',
              'execution_id',
            );


            console.log(devboxSendStdInResult.devbox_id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            devbox_send_std_in_result = client.devboxes.executions.send_std_in(
                execution_id="execution_id",
                devbox_id="devbox_id",
            )
            print(devbox_send_std_in_result.devbox_id)
components:
  schemas:
    DevboxSendStdInRequest:
      type: object
      properties:
        text:
          description: Text to send to std in of the running execution.
          type:
            - string
            - 'null'
        signal:
          description: Signal to send to std in of the running execution.
          anyOf:
            - $ref: '#/components/schemas/SignalType'
            - type: 'null'
    DevboxSendStdInResult:
      type: object
      properties:
        devbox_id:
          type: string
          description: Devbox id where command is executing.
        execution_id:
          type: string
          description: Execution id that received the stdin.
        success:
          type: boolean
          description: Whether the stdin was successfully sent.
      required:
        - devbox_id
        - execution_id
        - success
    SignalType:
      type: string
      enum:
        - EOF
        - INTERRUPT
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````